Bug 188783 - CVE-2006-1740 Secure-site spoof (requires security warning dialog)
CVE-2006-1740 Secure-site spoof (requires security warning dialog)
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-04-12 22:18 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-24 11:42:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:18:47 EDT
Secure-site spoof (requires security warning dialog)

Tristor reports that it was possible to spoof the browser's secure-site
indicators (the lock icon, the site name in the URL field, the gold URL
field background in Firefox) by first loading the target secure site in a
pop-up window, then changing its location to a different site.

If the user has turned on the "Entering secure site" modal warning dialog
then the window location can be changed while that dialog is displayed and
the secure-browsing indicators from the original site will remain.

These dialogs are turned off by default in Firefox, and most Suite users
click the checkbox to turn them off.


Turn  off the "Entering encrypted site" warning dialog if you have not



This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 08:30:03 EDT
Lifting embargo
Comment 2 David Eisenstein 2006-06-24 11:42:59 EDT
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487

Note You need to log in before you can comment on or make changes to this bug.